Bug 998399 - Review Request: perl-IO-Prompt-Tiny - Prompt for user input with a default option
Review Request: perl-IO-Prompt-Tiny - Prompt for user input with a default op...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 992696
  Show dependency treegraph
 
Reported: 2013-08-19 04:32 EDT by Simone Caronni
Modified: 2013-10-03 10:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 10:34:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simone Caronni 2013-08-19 04:32:37 EDT
Spec URL: http://slaanesh.fedorapeople.org/perl-IO-Prompt-Tiny.spec
SRPM URL: http://slaanesh.fedorapeople.org/perl-IO-Prompt-Tiny-0.002-1.fc19.src.rpm
Description: This is an extremely simple prompting module, based on the extremely simple prompt offered by ExtUtils::MakeMaker.In many cases, that's all you need and this module gives it to you without all the overhead of ExtUtils::MakeMaker just to prompt for input.

Fedora Account System Username: slaanesh
Comment 1 Jitka Plesnikova 2013-08-23 09:46:17 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
License tag should contains Short License identifier ASL 2.0
[x]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 7 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[!]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


$ rpmlint perl-IO-Prompt-Tiny.spec perl-IO-Prompt-Tiny-0.002-1.fc21.*
perl-IO-Prompt-Tiny.noarch: W: invalid-license Apache Software License
perl-IO-Prompt-Tiny.src: W: invalid-license Apache Software License
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Rpmlint failed

$ rpm -qp --provides ../results/perl-IO-Prompt-Tiny-0.002-1.fc21.noarch.rpm | sort | uniq -c
      1 perl(IO::Prompt::Tiny) = 0.002
      1 perl-IO-Prompt-Tiny = 0.002-1.fc21
Binary provides ok

$ rpm -qp --requires ../results/perl-IO-Prompt-Tiny-0.002-1.fc21.noarch.rpm | sort | uniq -c
      1 perl >= 0:5.006
      1 perl(:MODULE_COMPAT_5.18.1)
      2 perl(Carp)
      1 perl(Exporter)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are not ok

Source checksums
----------------
http://www.cpan.org/authors/id/D/DA/DAGOLDEN/IO-Prompt-Tiny-0.002.tar.gz :
  CHECKSUM(SHA256) this package     : 7e1a9ae9b28e9ae4ce9feb9bb9792c25f274b93162507c4f043f6121096b83ca
  CHECKSUM(SHA256) upstream package : 7e1a9ae9b28e9ae4ce9feb9bb9792c25f274b93162507c4f043f6121096b83ca

ISSUES:
FIX: License tag should contains Short License identifier (ASL 2.0)
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Valid_License_Short_Names
FIX: Add BR perl(Exporter) - ./lib/IO/Prompt/Tiny.pm:9
FIX: Add BR perl(File::Temp) - ./t/00-compile.t:11
TODO: Add missing BRs perl(strict), perl(warnings)
FIX: Remove perl(Carp) from Requires it is detected by rpm tools.

FIX: Release and author tests are not executed.
Please remove following BRs
* perl(Pod::Coverage::TrustPod)
* perl(Pod::Wordlist::hanekomu)
* perl(Test::CPAN::Meta)
* perl(Test::MinimumVersion)
* perl(Test::Perl::Critic)
* perl(Test::Pod::Coverage)
* perl(Test::Portability::Files)
* perl(Test::Spelling)
or run the tests.


Please correct all 'FIX' issues, consider fixing 'TODO' items and provide new spec file.

Package not approved.
Comment 2 Jitka Plesnikova 2013-08-23 09:51:58 EDT
FIX: Remove from %doc - dist.ini, META.json, perlcritic.rc
TODO: Drop revoving empty directories from %install. It is not needed.
Comment 3 Simone Caronni 2013-08-26 04:32:08 EDT
Many thanks for the review; any review you need in return please ask.

- Added BR perl(Exporter), perl(File::Temp), perl(strict), perl(warnings)
- Removed perl(Carp) from Requires
- Removed BR perl(Pod::Coverage::TrustPod), perl(Pod::Wordlist::hanekomu), perl(Test::CPAN::Meta), perl(Test::MinimumVersion), perl(Test::Perl::Critic), perl(Test::Pod::Coverage), perl(Test::Portability::Files), perl(Test::Spelling)
- Removed dist.ini, META.json, perlcritic.rc from %doc
- Fixed license
- Do not remove empty directories from %install

The last 3 items were added by cpanspec.

Spec URL: http://slaanesh.fedorapeople.org/perl-IO-Prompt-Tiny.spec
SRPM URL: http://slaanesh.fedorapeople.org/perl-IO-Prompt-Tiny-0.002-2.fc19.src.rpm
Comment 4 Jitka Plesnikova 2013-08-26 06:57:17 EDT
(In reply to Simone Caronni from comment #3)
 
> - Added BR perl(Exporter), perl(File::Temp), perl(strict), perl(warnings)
> - Removed perl(Carp) from Requires
> - Removed BR perl(Pod::Coverage::TrustPod), perl(Pod::Wordlist::hanekomu),
> perl(Test::CPAN::Meta), perl(Test::MinimumVersion),
> perl(Test::Perl::Critic), perl(Test::Pod::Coverage),
> perl(Test::Portability::Files), perl(Test::Spelling)
+BuildRequires:  perl(Exporter)
 BuildRequires:  perl(ExtUtils::MakeMaker)
 BuildRequires:  perl(File::Find)
 BuildRequires:  perl(File::Spec::Functions)
+BuildRequires:  perl(File::Temp)
 BuildRequires:  perl(List::Util)
-BuildRequires:  perl(Pod::Coverage::TrustPod)
-BuildRequires:  perl(Pod::Wordlist::hanekomu)
-BuildRequires:  perl(Test::CPAN::Meta)
 BuildRequires:  perl(Test::More) >= 0.96
-BuildRequires:  perl(Test::MinimumVersion)
-BuildRequires:  perl(Test::Perl::Critic)
-BuildRequires:  perl(Test::Pod::Coverage)
-BuildRequires:  perl(Test::Portability::Files)
-BuildRequires:  perl(Test::Spelling)
-Requires:       perl(Carp)
+BuildRequires:  perl(strict)
+BuildRequires:  perl(warnings)
Ok

> - Removed dist.ini, META.json, perlcritic.rc from %doc
-%doc Changes dist.ini LICENSE META.json perlcritic.rc README README.PATCHING
+%doc Changes LICENSE README README.PATCHING
Ok

> - Fixed license
-License:        Apache Software License
+License:        ASL 2.0
Ok

The package looks good.
APPROVED
Comment 5 Simone Caronni 2013-08-26 07:22:39 EDT
New Package SCM Request
=======================
Package Name: perl-IO-Prompt-Tiny
Short Description: Prompt for user input with a default option
Owners: slaanesh
Branches: f19 f20
Comment 6 Gwyn Ciesla 2013-08-26 08:24:29 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.